version: '3'
services:
  stream-db:
    image: mongo:latest
    ports:
      - 27017:27017
  stream-api:
    build:
      context: ./
    ports:
      - 8082:8082
    depends_on:
      - stream-db
    environment:
      - DATABASE_HOST=stream-db
      - OUTPUT_DIR=/app/
networks:
  app_net:
    driver: bridge
